package com.rjconsultores.ventaboletos.enums;

public enum EnumLinguagemImpresion {
	HTML(0), 
	ZPL(1),
	TEXT(2),
	;

	private Integer id;

	private EnumLinguagemImpresion(Integer id) {
		this.id = id;
	}

	public Integer getId() {
		return this.id;
	}

	public static EnumLinguagemImpresion getLinguagemImpresionByValor(Integer valor) {

		for (EnumLinguagemImpresion enumLinguagemImpresion : EnumLinguagemImpresion.values()) {
			if (enumLinguagemImpresion.getId().equals(valor)) {
				return enumLinguagemImpresion;
			}
		}
		return null;
	}

	@Override
	public String toString() {
		return this.name();
	}

}
